---
id: 68531fbb934d735415053274
title: Step 4
challengeType: 20
dashedName: step-4
---

# --description--

Now that you have added a function call you can see any error created inside the function in the terminal, and you can always use `print` to see the value of things.

There is a digit of the pin hidden in every line, so inside the function use the `split` method to divide the string in a list of lines. Split the lines on the newline character (`\n`), and assign the resulting list to a variable called `lines`.

# --hints--

You should have a variable named `lines` within your `pin_extractor` function.

```js
({
    test: () => runPython(`
    assert _Node(_code).find_function('pin_extractor').has_variable('lines')
    `)
})
```

The variable `lines` should have a value of `poem.split('\n')`.

```js
({
    test: () => runPython(`
    assert _Node(_code).find_function('pin_extractor').find_variable('lines').is_equivalent('lines = poem.split("\\\\n")')
    `)
})
```

# --seed--

## --seed-contents--

```py
def pin_extractor(poem):
    secret_code = ''
--fcc-editable-region--
    
--fcc-editable-region--

poem = """Stars and the moon
shine in the sky
white and bright
until the end of the night"""

pin_extractor(poem)
```
